Type to search.

Stop data frame analytics jobs

  • POST /_ml/data_frame/analytics/{id}/_stop
Auth

A data frame analytics job can be started and stopped multiple times throughout its lifecycle.

Required privileges

Cluster privileges manage_ml

Path parameters

id string required

Identifier for the data frame analytics job. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It must start and end with alphanumeric characters.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no data frame analytics jobs that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

The default value is true, which returns an empty data_frame_analytics array when there are no matches and the subset of results when there are partial matches. If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

force boolean · default: false

If true, the data frame analytics job is stopped forcefully.

timeout union oneOf · default: 20s

Controls the amount of time to wait until the data frame analytics job stops. Defaults to 20 seconds.

Values: -1 0

Request body

id string

If provided, must be the same identifier as in the path.

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no data frame analytics jobs that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

The default value is true, which returns an empty data_frame_analytics array when there are no matches and the subset of results when there are partial matches. If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

force boolean · default: false

If true, the data frame analytics job is stopped forcefully.

timeout union oneOf · default: 20s

Controls the amount of time to wait until the data frame analytics job stops. Defaults to 20 seconds.

Values: -1 0

Response

application/json
stopped boolean required